
package com.ejie.ab04b.webservice.client.expediente;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * This object contains factory methods for each Java content interface and Java
 * element interface generated in the
 * com.ejie.ab04b.webservice.client.expediente package.
 * <p>
 * An ObjectFactory allows you to programatically construct new instances of the
 * Java representation for XML content. The Java representation of XML content
 * can consist of schema derived interfaces and classes representing the binding
 * of schema type definitions, element declarations and model groups. Factory
 * methods for each of these are provided in this class.
 * 
 * @author GFI-NORTE
 */
@XmlRegistry()
public class ObjectFactory {

	private final static QName _String_QNAME = new QName("http://www.openuri.org/", "string");
	private final static QName _Void4_QNAME = new QName("http://www.openuri.org/", "void4");
	private final static QName _Void1_QNAME = new QName("http://www.openuri.org/", "void1");
	private final static QName _Void2_QNAME = new QName("http://www.openuri.org/", "void2");
	private final static QName _Boolean_QNAME = new QName("http://www.openuri.org/", "boolean");
	private final static QName _Void3_QNAME = new QName("http://www.openuri.org/", "void3");

	/**
	 * Create a new ObjectFactory that can be used to create new instances of
	 * schema derived classes for package:
	 * com.ejie.ab04b.webservice.client.expediente
	 */
	public ObjectFactory() {
	}

	/**
	 * Create an instance of {@link SetStoredExpedientsStatus }.
	 *
	 * @return objeto respuesta
	 */
	public SetStoredExpedientsStatus createSetStoredExpedientsStatus() {
		return new SetStoredExpedientsStatus();
	}

	/**
	 * Create an instance of {@link IsRemovedParticipantResponse }.
	 *
	 * @return objeto respuesta
	 */
	public IsRemovedParticipantResponse createIsRemovedParticipantResponse() {
		return new IsRemovedParticipantResponse();
	}

	/**
	 * Create an instance of {@link AddApplicantFolderParticipantResponse }.
	 *
	 * @return objeto respuesta
	 */
	public AddApplicantFolderParticipantResponse createAddApplicantFolderParticipantResponse() {
		return new AddApplicantFolderParticipantResponse();
	}

	/**
	 * Create an instance of {@link GetFolderInstructorResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GetFolderInstructorResponse createGetFolderInstructorResponse() {
		return new GetFolderInstructorResponse();
	}

	/**
	 * Create an instance of {@link GetDelaysResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GetDelaysResponse createGetDelaysResponse() {
		return new GetDelaysResponse();
	}

	/**
	 * Create an instance of {@link RemovethirdFolderAdminInit }.
	 *
	 * @return objeto respuesta
	 */
	public RemovethirdFolderAdminInit createRemovethirdFolderAdminInit() {
		return new RemovethirdFolderAdminInit();
	}

	/**
	 * Create an instance of {@link SetStoredExpedientsStatusResponse }.
	 *
	 * @return objeto respuesta
	 */
	public SetStoredExpedientsStatusResponse createSetStoredExpedientsStatusResponse() {
		return new SetStoredExpedientsStatusResponse();
	}

	/**
	 * Create an instance of {@link DoReallocationFolderResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoReallocationFolderResponse createDoReallocationFolderResponse() {
		return new DoReallocationFolderResponse();
	}

	/**
	 * Create an instance of {@link AddthirdFolderAdminInit }.
	 *
	 * @return objeto respuesta
	 */
	public AddthirdFolderAdminInit createAddthirdFolderAdminInit() {
		return new AddthirdFolderAdminInit();
	}

	/**
	 * Create an instance of {@link GetFolderInstructor }.
	 *
	 * @return objeto respuesta
	 */
	public GetFolderInstructor createGetFolderInstructor() {
		return new GetFolderInstructor();
	}

	/**
	 * Create an instance of {@link RemoveParticipacion }.
	 *
	 * @return objeto respuesta
	 */
	public RemoveParticipacion createRemoveParticipacion() {
		return new RemoveParticipacion();
	}

	/**
	 * Create an instance of {@link GetDelays }.
	 *
	 * @return objeto respuesta
	 */
	public GetDelays createGetDelays() {
		return new GetDelays();
	}

	/**
	 * Create an instance of {@link IsRemovedParticipant }.
	 *
	 * @return objeto respuesta
	 */
	public IsRemovedParticipant createIsRemovedParticipant() {
		return new IsRemovedParticipant();
	}

	/**
	 * Create an instance of {@link RemovethirdFolderAdminInitResponse }.
	 *
	 * @return objeto respuesta
	 */
	public RemovethirdFolderAdminInitResponse createRemovethirdFolderAdminInitResponse() {
		return new RemovethirdFolderAdminInitResponse();
	}

	/**
	 * Create an instance of {@link UpdateApplicantFolderParticipant }.
	 *
	 * @return objeto respuesta
	 */
	public UpdateApplicantFolderParticipant createUpdateApplicantFolderParticipant() {
		return new UpdateApplicantFolderParticipant();
	}

	/**
	 * Create an instance of {@link DoTermRestart }.
	 *
	 * @return objeto respuesta
	 */
	public DoTermRestart createDoTermRestart() {
		return new DoTermRestart();
	}

	/**
	 * Create an instance of {@link UpdateExpedients }.
	 *
	 * @return objeto respuesta
	 */
	public UpdateExpedients createUpdateExpedients() {
		return new UpdateExpedients();
	}

	/**
	 * Create an instance of {@link GetAdminSilenceDate }.
	 *
	 * @return objeto respuesta
	 */
	public GetAdminSilenceDate createGetAdminSilenceDate() {
		return new GetAdminSilenceDate();
	}

	/**
	 * Create an instance of {@link UpdateFoldersInstructor }.
	 *
	 * @return objeto respuesta
	 */
	public UpdateFoldersInstructor createUpdateFoldersInstructor() {
		return new UpdateFoldersInstructor();
	}

	/**
	 * Create an instance of {@link ArrayOfString }.
	 *
	 * @return objeto respuesta
	 */
	public ArrayOfString createArrayOfString() {
		return new ArrayOfString();
	}

	/**
	 * Create an instance of {@link SetNonStoredExpedientsStatus }.
	 *
	 * @return objeto respuesta
	 */
	public SetNonStoredExpedientsStatus createSetNonStoredExpedientsStatus() {
		return new SetNonStoredExpedientsStatus();
	}

	/**
	 * Create an instance of {@link DoTermRestartResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTermRestartResponse createDoTermRestartResponse() {
		return new DoTermRestartResponse();
	}

	/**
	 * Create an instance of {@link GetFolderBasicInfo }.
	 *
	 * @return objeto respuesta
	 */
	public GetFolderBasicInfo createGetFolderBasicInfo() {
		return new GetFolderBasicInfo();
	}

	/**
	 * Create an instance of {@link GetReallocationFolderInfoResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GetReallocationFolderInfoResponse createGetReallocationFolderInfoResponse() {
		return new GetReallocationFolderInfoResponse();
	}

	/**
	 * Create an instance of {@link DoTermPauseResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTermPauseResponse createDoTermPauseResponse() {
		return new DoTermPauseResponse();
	}

	/**
	 * Create an instance of {@link CreateRelation }.
	 *
	 * @return objeto respuesta
	 */
	public CreateRelation createCreateRelation() {
		return new CreateRelation();
	}

	/**
	 * Create an instance of {@link UpdateExpedientsResponse }.
	 *
	 * @return objeto respuesta
	 */
	public UpdateExpedientsResponse createUpdateExpedientsResponse() {
		return new UpdateExpedientsResponse();
	}

	/**
	 * Create an instance of {@link DoTermExtension }.
	 *
	 * @return objeto respuesta
	 */
	public DoTermExtension createDoTermExtension() {
		return new DoTermExtension();
	}

	/**
	 * Create an instance of {@link UpdateFoldersInstructorResponse }.
	 *
	 * @return objeto respuesta
	 */
	public UpdateFoldersInstructorResponse createUpdateFoldersInstructorResponse() {
		return new UpdateFoldersInstructorResponse();
	}

	/**
	 * Create an instance of {@link GetAdminSilenceDateResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GetAdminSilenceDateResponse createGetAdminSilenceDateResponse() {
		return new GetAdminSilenceDateResponse();
	}

	/**
	 * Create an instance of {@link GetDatosExp }.
	 *
	 * @return objeto respuesta
	 */
	public GetDatosExp createGetDatosExp() {
		return new GetDatosExp();
	}

	/**
	 * Create an instance of {@link GetDatosExpResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GetDatosExpResponse createGetDatosExpResponse() {
		return new GetDatosExpResponse();
	}

	/**
	 * Create an instance of {@link CreateDocTraceResponse }.
	 *
	 * @return objeto respuesta
	 */
	public CreateDocTraceResponse createCreateDocTraceResponse() {
		return new CreateDocTraceResponse();
	}

	/**
	 * Create an instance of {@link GetFolderProceedings }.
	 *
	 * @return objeto respuesta
	 */
	public GetFolderProceedings createGetFolderProceedings() {
		return new GetFolderProceedings();
	}

	/**
	 * Create an instance of {@link CreateRelationResponse }.
	 *
	 * @return objeto respuesta
	 */
	public CreateRelationResponse createCreateRelationResponse() {
		return new CreateRelationResponse();
	}

	/**
	 * Create an instance of {@link UpdatethirdFolderAdminInit }.
	 *
	 * @return objeto respuesta
	 */
	public UpdatethirdFolderAdminInit createUpdatethirdFolderAdminInit() {
		return new UpdatethirdFolderAdminInit();
	}

	/**
	 * Create an instance of {@link UpdatethirdFolderAdminInitResponse }.
	 *
	 * @return objeto respuesta
	 */
	public UpdatethirdFolderAdminInitResponse createUpdatethirdFolderAdminInitResponse() {
		return new UpdatethirdFolderAdminInitResponse();
	}

	/**
	 * Create an instance of {@link AddApplicantFolderParticipant }.
	 *
	 * @return objeto respuesta
	 */
	public AddApplicantFolderParticipant createAddApplicantFolderParticipant() {
		return new AddApplicantFolderParticipant();
	}

	/**
	 * Create an instance of {@link GetExpedientsStoreInfo }.
	 *
	 * @return objeto respuesta
	 */
	public GetExpedientsStoreInfo createGetExpedientsStoreInfo() {
		return new GetExpedientsStoreInfo();
	}

	/**
	 * Create an instance of {@link UpdateObservationsExpedientResponse }.
	 *
	 * @return objeto respuesta
	 */
	public UpdateObservationsExpedientResponse createUpdateObservationsExpedientResponse() {
		return new UpdateObservationsExpedientResponse();
	}

	/**
	 * Create an instance of {@link SetNonStoredExpedientsStatusResponse }.
	 *
	 * @return objeto respuesta
	 */
	public SetNonStoredExpedientsStatusResponse createSetNonStoredExpedientsStatusResponse() {
		return new SetNonStoredExpedientsStatusResponse();
	}

	/**
	 * Create an instance of {@link CreateDocTrace }.
	 *
	 * @return objeto respuesta
	 */
	public CreateDocTrace createCreateDocTrace() {
		return new CreateDocTrace();
	}

	/**
	 * Create an instance of {@link RemoveParticipacionResponse }.
	 *
	 * @return objeto respuesta
	 */
	public RemoveParticipacionResponse createRemoveParticipacionResponse() {
		return new RemoveParticipacionResponse();
	}

	/**
	 * Create an instance of {@link GetReallocationFolderInfo }.
	 *
	 * @return objeto respuesta
	 */
	public GetReallocationFolderInfo createGetReallocationFolderInfo() {
		return new GetReallocationFolderInfo();
	}

	/**
	 * Create an instance of {@link GetFilesByAdminSilenceFilterResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GetFilesByAdminSilenceFilterResponse createGetFilesByAdminSilenceFilterResponse() {
		return new GetFilesByAdminSilenceFilterResponse();
	}

	/**
	 * Create an instance of {@link DoTermExtensionResponse }.
	 *
	 * @return objeto respuesta
	 */
	public DoTermExtensionResponse createDoTermExtensionResponse() {
		return new DoTermExtensionResponse();
	}

	/**
	 * Create an instance of {@link AnullDocsWithTraceValidationResponse }.
	 *
	 * @return objeto respuesta
	 */
	public AnullDocsWithTraceValidationResponse createAnullDocsWithTraceValidationResponse() {
		return new AnullDocsWithTraceValidationResponse();
	}

	/**
	 * Create an instance of {@link UpdateApplicantFolderParticipantResponse }.
	 *
	 * @return objeto respuesta
	 */
	public UpdateApplicantFolderParticipantResponse createUpdateApplicantFolderParticipantResponse() {
		return new UpdateApplicantFolderParticipantResponse();
	}

	/**
	 * Create an instance of {@link GetFolderProceedingsResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GetFolderProceedingsResponse createGetFolderProceedingsResponse() {
		return new GetFolderProceedingsResponse();
	}

	/**
	 * Create an instance of {@link StoreExpedients }.
	 *
	 * @return objeto respuesta
	 */
	public StoreExpedients createStoreExpedients() {
		return new StoreExpedients();
	}

	/**
	 * Create an instance of {@link GetFolderThirdPartyLocations }.
	 *
	 * @return objeto respuesta
	 */
	public GetFolderThirdPartyLocations createGetFolderThirdPartyLocations() {
		return new GetFolderThirdPartyLocations();
	}

	/**
	 * Create an instance of {@link StoreExpedientsResponse }.
	 *
	 * @return objeto respuesta
	 */
	public StoreExpedientsResponse createStoreExpedientsResponse() {
		return new StoreExpedientsResponse();
	}

	/**
	 * Create an instance of {@link GetChangeDeadlineResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GetChangeDeadlineResponse createGetChangeDeadlineResponse() {
		return new GetChangeDeadlineResponse();
	}

	/**
	 * Create an instance of {@link GetProcedureInboxIDResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GetProcedureInboxIDResponse createGetProcedureInboxIDResponse() {
		return new GetProcedureInboxIDResponse();
	}

	/**
	 * Create an instance of {@link GetApplicantInterestedExp }.
	 *
	 * @return objeto respuesta
	 */
	public GetApplicantInterestedExp createGetApplicantInterestedExp() {
		return new GetApplicantInterestedExp();
	}

	/**
	 * Create an instance of {@link GetProcedureInboxID }.
	 *
	 * @return objeto respuesta
	 */
	public GetProcedureInboxID createGetProcedureInboxID() {
		return new GetProcedureInboxID();
	}

	/**
	 * Create an instance of {@link AddthirdFolderAdminInitResponse }.
	 *
	 * @return objeto respuesta
	 */
	public AddthirdFolderAdminInitResponse createAddthirdFolderAdminInitResponse() {
		return new AddthirdFolderAdminInitResponse();
	}

	/**
	 * Create an instance of {@link GetFilesByAdminSilenceFilter }.
	 *
	 * @return objeto respuesta
	 */
	public GetFilesByAdminSilenceFilter createGetFilesByAdminSilenceFilter() {
		return new GetFilesByAdminSilenceFilter();
	}

	/**
	 * Create an instance of {@link GetExpedientsStoreInfoResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GetExpedientsStoreInfoResponse createGetExpedientsStoreInfoResponse() {
		return new GetExpedientsStoreInfoResponse();
	}

	/**
	 * Create an instance of {@link UpdateObservationsExpedient }.
	 *
	 * @return objeto respuesta
	 */
	public UpdateObservationsExpedient createUpdateObservationsExpedient() {
		return new UpdateObservationsExpedient();
	}

	/**
	 * Create an instance of {@link DoTermPause }.
	 *
	 * @return objeto respuesta
	 */
	public DoTermPause createDoTermPause() {
		return new DoTermPause();
	}

	/**
	 * Create an instance of {@link GetFolderBasicInfoResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GetFolderBasicInfoResponse createGetFolderBasicInfoResponse() {
		return new GetFolderBasicInfoResponse();
	}

	/**
	 * Create an instance of {@link DoReallocationFolder }.
	 *
	 * @return objeto respuesta
	 */
	public DoReallocationFolder createDoReallocationFolder() {
		return new DoReallocationFolder();
	}

	/**
	 * Create an instance of {@link GetFolderThirdPartyLocationsResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GetFolderThirdPartyLocationsResponse createGetFolderThirdPartyLocationsResponse() {
		return new GetFolderThirdPartyLocationsResponse();
	}

	/**
	 * Create an instance of {@link GetChangeDeadline }.
	 *
	 * @return objeto respuesta
	 */
	public GetChangeDeadline createGetChangeDeadline() {
		return new GetChangeDeadline();
	}

	/**
	 * Create an instance of {@link GetApplicantInterestedExpResponse }.
	 *
	 * @return objeto respuesta
	 */
	public GetApplicantInterestedExpResponse createGetApplicantInterestedExpResponse() {
		return new GetApplicantInterestedExpResponse();
	}

	/**
	 * Create an instance of {@link AnullDocsWithTraceValidation }.
	 *
	 * @return objeto respuesta
	 */
	public AnullDocsWithTraceValidation createAnullDocsWithTraceValidation() {
		return new AnullDocsWithTraceValidation();
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link String }
	 * {@code >}}.
	 *
	 * @param value            String
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "string")
	public JAXBElement<String> createString(String value) {
		return new JAXBElement<String>(_String_QNAME, String.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link Object }
	 * {@code >}}.
	 *
	 * @param value            Object
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "void4")
	public JAXBElement<Object> createVoid4(Object value) {
		return new JAXBElement<Object>(_Void4_QNAME, Object.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link Object }
	 * {@code >}}.
	 *
	 * @param value            Object
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "void1")
	public JAXBElement<Object> createVoid1(Object value) {
		return new JAXBElement<Object>(_Void1_QNAME, Object.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link Object }
	 * {@code >}}.
	 *
	 * @param value            Object
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "void2")
	public JAXBElement<Object> createVoid2(Object value) {
		return new JAXBElement<Object>(_Void2_QNAME, Object.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link Boolean }
	 * {@code >}}.
	 *
	 * @param value            Boolean
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "boolean")
	public JAXBElement<Boolean> createBoolean(Boolean value) {
		return new JAXBElement<Boolean>(_Boolean_QNAME, Boolean.class, null, value);
	}

	/**
	 * Create an instance of {@link JAXBElement }{@code <}{@link Object }
	 * {@code >}}.
	 *
	 * @param value            Object
	 * @return objeto respuesta
	 */
	@XmlElementDecl(namespace = "http://www.openuri.org/", name = "void3")
	public JAXBElement<Object> createVoid3(Object value) {
		return new JAXBElement<Object>(_Void3_QNAME, Object.class, null, value);
	}

}
